﻿@model WebApp.ViewModels.Admin.StationRouteAdminViewModel
@{
    ViewBag.Title = "Create intermediate station";
}

<h2>Create intermediate station.</h2>


@using (Html.BeginForm("CreateStationRoute", "Admin", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Station id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.StationId, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Going time:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.GoingTime, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Standing time:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.StandingTime, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Order in route:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.OrderInRoute, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Cost:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.TraversingCost, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            @Html.CheckBoxFor(t => t.IsDeleted) Is Deleted
        </div>
    </div>
    @Html.HiddenFor(t => t.Id)
    @Html.HiddenFor(t => t.RouteId)
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Create</button>
        </div>
    </div>
}